SPI_copytupledesc()

NAME
SPI_copytupledesc - make a copy of a row descriptor in the upper executor context

SYNOPSIS

TupleDesc SPI_copytupledesc(TupleDesc tupdesc)

DESCRIPTION

SPI_copytupledesc makes a copy of a row descriptor in the upper executor context.

ARGUMENTS

TupleDesc tupdesc
    row descriptor to be copied

RETURN VALUE

the copied row descriptor; NULL only if tupdesc is NULL